%define upstream_name    DB_File-Lock
%define upstream_version 0.05

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 13

Summary:	DB_File-Lock module for perl 
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		https://metacpan.org/release/%{upstream_name}
Source0:	%{upstream_name}-%{upstream_version}.tar.bz2
Patch0:		DB_File-Lock-0.05-fix-build.patch

BuildRequires:	perl(DB_File)
BuildArch:	noarch


%description
This module provides a wrapper for the DB_File module, adding locking.

When you need locking, simply use this module in place of DB_File and
add an extra argument onto the tie command specifying if the file should
be locked for reading or writing.

%prep
%autosetup -p1 -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%make_install

%files
%doc Changes README
%{perl_vendorlib}/DB_File/Lock.pm
%{_mandir}/*/*


%changelog
* Thu Jun 26 2025 umeabot <umeabot> 0.50.0-13.mga10
+ Revision: 2198093
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 0.50.0-12.mga9
+ Revision: 1802921
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.50.0-11.mga8
+ Revision: 1493893
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 0.50.0-10.mga7
+ Revision: 1267043
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.50.0-9.mga6
+ Revision: 1025411
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 0.50.0-8.mga6
+ Revision: 969252
- Mageia 6 Mass Rebuild

* Sat Aug 15 2015 sander85 <sander85> 0.50.0-7.mga6
+ Revision: 865006
- Fix build with perl 5.22

* Wed Oct 15 2014 umeabot <umeabot> 0.50.0-6.mga5
+ Revision: 743157
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.50.0-5.mga5
+ Revision: 684149
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.50.0-4.mga4
+ Revision: 510473
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.50.0-3.mga3
+ Revision: 365194
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jan 24 2011 jquelin <jquelin> 0.50.0-2.mga1
+ Revision: 36867
- rebuild

* Sun Jan 23 2011 jquelin <jquelin> 0.50.0-1.mga1
+ Revision: 33673
- mageia rebuild
- imported package perl-DB_File-Lock


* Wed Jul 29 2009 Jérôme Quelin <jquelin@mandriva.org> 0.50.0-1mdv2010.0
+ Revision: 403097
- rebuild using %%perl_convert_version

* Thu Jul 31 2008 Thierry Vignaud <tv@mandriva.org> 0.05-4mdv2009.0
+ Revision: 256567
- rebuild

* Thu Dec 20 2007 Olivier Blin <oblin@mandriva.com> 0.05-2mdv2008.1
+ Revision: 135833
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sat Sep 15 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.05-2mdv2008.0
+ Revision: 86346
- rebuild


* Wed Sep 13 2006 Oden Eriksson <oeriksson@mandriva.com> 0.05-1mdv2007.0
- rebuild

* Thu Jul 14 2005 Oden Eriksson <oeriksson@mandriva.com> 0.05-1mdk
- initial Mandriva package

